<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- displays site properly based on user's device -->

    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="./assets/images/favicon-32x32.png"
    />
    <!-- ----------------------------- Fonts -------------------  -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap"
      rel="stylesheet"
    />

    <title>Multi-step form</title>

    <!-- Feel free to remove these styles or customise in your own stylesheet 👍 -->
    <!-- <style>
      .attribution {
        font-size: 11px;
        text-align: center;
      }
      .attribution a {
        color: hsl(228, 45%, 44%);
      }
    </style> -->
    <link rel="stylesheet" href="index.css" />
  </head>
  <body>
    <main>
      <div class="container" id="container1">
        <section class="left">
          <div class="div1">
            <div class="left1">
              <span class="span1">1</span>
            </div>
            <div class="right1">
              <p>STEP 1</p>
              <h3>YOUR INFO</h3>
            </div>
          </div>
          <div class="div2">
            <div class="left2">
              <span>2</span>
            </div>
            <div class="right1">
              <p>STEP 2</p>
              <h3>SELECT PLAN</h3>
            </div>
          </div>
          <div class="div3">
            <div class="left3">
              <span>3</span>
            </div>
            <div class="right1">
              <p>STEP 3</p>
              <h3>ADD-ONS</h3>
            </div>
          </div>
          <div class="div4">
            <div class="left4">
              <span>4</span>
            </div>
            <div class="right1">
              <p>STEP 4</p>
              <h3>SUMMARY</h3>
            </div>
          </div>
        </section>
        <section class="right">
          <div class="head">
            <h1>Personal info</h1>
            <p>Please provide your name, email address, and phone number.</p>
          </div>
          <div class="form">
            <form action="./templates/Page2.html">
              <label for="name">Name</label><br />
              <span id="nameError" class="error"></span><br />
              <div class="validation-message" id="nameValidationMessage"></div>
              <input type="text" id="name" placeholder="e.g. Stephen King" />
              <!-- required  -->
              <br />
              <label>Email Address</label><br />
              <span id="emailError" class="error"></span><br />
              <div class="validation-message" id="emailValidationMessage"></div>
              <input
                type="email"
                id="email"
                placeholder="e.g. stephenking@lorem.com"
              />
              <!-- required  -->
              <br />
              <label for="name">Phone Number </label><br />
              <span id="phoneError" class="error"></span><br />
              <div class="validation-message" id="phoneValidationMessage"></div>
              <input
                type="tel"
                id="phone"
                placeholder="Phone Number e.g. +1 234 567 890"
              />
              <!-- required -->

              <button class="formbtn">Next Step</button>
              <!-- type="submit" -->
            </form>
          </div>
        </section>
      </div>
         </div> 
        </section>
      </div>   
    </main>
    <script>
      localStorage.clear();

const form = document.querySelector('.form form');
const nameInput = document.getElementById('name');
const emailInput = document.getElementById('email');
const phoneInput = document.getElementById('phone');
const nameValidationMessage = document.getElementById('nameValidationMessage');
const emailValidationMessage = document.getElementById('emailValidationMessage');
const phoneValidationMessage = document.getElementById('phoneValidationMessage');

form.addEventListener('submit', function(event) {
  event.preventDefault();


  clearValidationMessages();


  if (nameInput.value.trim() === '') {
    displayValidationMessage('Name is required.', nameValidationMessage);
  }


  const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
  if (!emailRegex.test(emailInput.value.trim())) {
    displayValidationMessage('Invalid email address.', emailValidationMessage);
  }

  const phoneRegex = /^\+?[1-9]\d{1,14}$/;
  if (!phoneRegex.test(phoneInput.value.trim())) {
    displayValidationMessage('Invalid phone number.', phoneValidationMessage);
  }


  if (!nameValidationMessage.textContent && !emailValidationMessage.textContent && !phoneValidationMessage.textContent) {
    form.submit()
    console.log('Form submitted successfully.');

  }
});

function displayValidationMessage(message, validationMessageElement) {
  validationMessageElement.textContent = message;
}

function clearValidationMessages() {
  nameValidationMessage.textContent = '';
  emailValidationMessage.textContent = '';
  phoneValidationMessage.textContent = '';
}


    </script>
  </body>
</html>
